NX Open C++ Reference Guide
|
Represents a collection of Offset . More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Offset * | CreateCurvature (NXOpen::ICurve *icurve, NXOpen::Scalar *t, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a ICurve using a Scalar representing the t parameter. | |
NXOpen::Offset * | CreateCurvature (NXOpen::Point *atPoint, NXOpen::ICurve *icurve, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a ICurve using a Point . | |
NXOpen::Offset * | CreateCurvature (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Offset::OnFaceOption option, NXOpen::Direction *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a Face using two Scalar s representing the u and v parameters with option of direction on the face. | |
NXOpen::Offset * | CreateCurvature (NXOpen::Point *atPoint, NXOpen::Face *face, NXOpen::Offset::OnFaceOption option, NXOpen::SmartObject *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a Face using a Point . | |
NXOpen::Offset * | CreateCurvature (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Scalar *sectionAngle, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a sectional Offset on a Face using two Scalar s representing the u and v parameters and a Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. | |
NXOpen::Offset * | CreateCurvatureDerivative (NXOpen::ICurve *icurve, NXOpen::Scalar *t, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a ICurve using a Scalar representing the t parameter. | |
NXOpen::Offset * | CreateCurvatureDerivative (NXOpen::Point *atPoint, NXOpen::ICurve *icurve, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a ICurve using a Point . | |
NXOpen::Offset * | CreateCurvatureDerivative (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Offset::OnFaceOption option, NXOpen::Direction *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a Face using two Scalar s representing the u and v parameters with option of direction on the face. | |
NXOpen::Offset * | CreateCurvatureDerivative (NXOpen::Point *atPoint, NXOpen::Face *face, NXOpen::Offset::OnFaceOption option, NXOpen::SmartObject *sectionDirection, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset on a Face using a Point . | |
NXOpen::Offset * | CreateCurvatureDerivative (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Scalar *sectionAngle, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a sectional Offset on a Face using two Scalar s representing the u and v parameters and a Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. | |
NXOpen::Offset * | CreateOffset (const NXOpen::Point3d &origin, const NXOpen::Vector3d &vector, NXOpen::SmartObject::UpdateOption updateOption) |
Create an Offset without parameters. | |
NXOpen::Offset * | CreateOffset (NXOpen::Direction *direction, NXOpen::Scalar *distance, NXOpen::SmartObject::UpdateOption updateOption) |
Creates an Offset using a Smart Direction and distance. | |
NXOpen::Offset * | CreateOffset (NXOpen::Offset *offsetIn, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Offset via an extract Offset with optional transformation. | |
NXOpen::Offset * | CreateOffsetCylindrical (NXOpen::Scalar *radius, NXOpen::Scalar *angle, NXOpen::Scalar *deltaZ, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a smart cylindrical Offset . | |
NXOpen::Offset * | CreateOffsetRectangular (NXOpen::Scalar *deltaX, NXOpen::Scalar *deltaY, NXOpen::Scalar *deltaZ, NXOpen::SmartObject::UpdateOption updateOption) |
Create an Offset using X, Y and Z deltas. | |
NXOpen::Offset * | CreateOffsetSpherical (NXOpen::Scalar *radius, NXOpen::Scalar *angle1, NXOpen::Scalar *angle2, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a smart spherical Offset . | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of Offset .
To obtain an instance of this class, refer to BasePart
Created in NX3.0.0.
iterator NXOpen::OffsetCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature | ( | NXOpen::ICurve * | icurve, |
NXOpen::Scalar * | t, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature | ( | NXOpen::Point * | atPoint, |
NXOpen::ICurve * | icurve, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Offset on a ICurve using a Point .
The Offset created represents curvature of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature at the projected location.
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature | ( | NXOpen::Face * | face, |
NXOpen::Scalar * | u, | ||
NXOpen::Scalar * | v, | ||
bool | absoluteUv, | ||
NXOpen::Offset::OnFaceOption | option, | ||
NXOpen::Direction * | sectionDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Offset on a Face using two Scalar s representing the u and v parameters with option of direction on the face.
The Offset created represents the curvature of the face at u and v parameter in a direction specified by the option.
face | face |
u | u |
v | v |
absoluteUv | true if u and v are absolute parameters |
option | option |
sectionDirection | necessary when option is Offset::OnFaceOptionSection |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature | ( | NXOpen::Point * | atPoint, |
NXOpen::Face * | face, | ||
NXOpen::Offset::OnFaceOption | option, | ||
NXOpen::SmartObject * | sectionDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Offset on a Face using a Point .
The Offset created represents the curvature of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature at the projected location.
atPoint | A point on curve or an extract point. In case of a non associative point a face must be specified. |
face | Optional input |
option | option |
sectionDirection | An object of type Direction or Scalar and is necessary when option is Offset::OnFaceOptionSection |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvature | ( | NXOpen::Face * | face, |
NXOpen::Scalar * | u, | ||
NXOpen::Scalar * | v, | ||
bool | absoluteUv, | ||
NXOpen::Scalar * | sectionAngle, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a sectional Offset on a Face using two Scalar s representing the u and v parameters and a Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.
The Offset created represents the curvature of the face at u and v parameter in the sectional direction.
face | face |
u | u |
v | v |
absoluteUv | true if u and v are absolute parameters |
sectionAngle | measured in degree |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative | ( | NXOpen::ICurve * | icurve, |
NXOpen::Scalar * | t, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative | ( | NXOpen::Point * | atPoint, |
NXOpen::ICurve * | icurve, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Offset on a ICurve using a Point .
The Offset created represents curvature derivative of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature derivative at the projected location.
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative | ( | NXOpen::Face * | face, |
NXOpen::Scalar * | u, | ||
NXOpen::Scalar * | v, | ||
bool | absoluteUv, | ||
NXOpen::Offset::OnFaceOption | option, | ||
NXOpen::Direction * | sectionDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Offset on a Face using two Scalar s representing the u and v parameters with option of direction on the face.
The Offset created represents the curvature derivative of the face at u and v parameter in a direction specified by the option.
face | face |
u | u |
v | v |
absoluteUv | true if u and v are absolute parameters |
option | option |
sectionDirection | necessary when option is Offset::OnFaceOptionSection |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative | ( | NXOpen::Point * | atPoint, |
NXOpen::Face * | face, | ||
NXOpen::Offset::OnFaceOption | option, | ||
NXOpen::SmartObject * | sectionDirection, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Offset on a Face using a Point .
The Offset created represents the curvature derivative of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature derivative at the projected location.
atPoint | A point on curve or an extract point. In case of a non associative point a face must be specified. |
face | Optional input |
option | option |
sectionDirection | An object of type Direction or Scalar and is necessary when option is Offset::OnFaceOptionSection |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateCurvatureDerivative | ( | NXOpen::Face * | face, |
NXOpen::Scalar * | u, | ||
NXOpen::Scalar * | v, | ||
bool | absoluteUv, | ||
NXOpen::Scalar * | sectionAngle, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a sectional Offset on a Face using two Scalar s representing the u and v parameters and a Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.
The Offset created represents the curvature derivative of the face at u and v parameter in the sectional direction.
face | face |
u | u |
v | v |
absoluteUv | true if u and v are absolute parameters |
sectionAngle | measured in degree |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffset | ( | const NXOpen::Point3d & | origin, |
const NXOpen::Vector3d & | vector, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffset | ( | NXOpen::Direction * | direction, |
NXOpen::Scalar * | distance, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffset | ( | NXOpen::Offset * | offsetIn, |
NXOpen::Xform * | xform, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffsetCylindrical | ( | NXOpen::Scalar * | radius, |
NXOpen::Scalar * | angle, | ||
NXOpen::Scalar * | deltaZ, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a smart cylindrical Offset .
The radius, angle, and zdelta are the three parameters of cylindrical coordinates.
radius | radius |
angle | Angle in radians |
deltaZ | Delta along axis of cylinder |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffsetRectangular | ( | NXOpen::Scalar * | deltaX, |
NXOpen::Scalar * | deltaY, | ||
NXOpen::Scalar * | deltaZ, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Create an Offset using X, Y and Z deltas.
deltaX | delta x |
deltaY | delta y |
deltaZ | delta z |
updateOption | update option |
NXOpen::Offset* NXOpen::OffsetCollection::CreateOffsetSpherical | ( | NXOpen::Scalar * | radius, |
NXOpen::Scalar * | angle1, | ||
NXOpen::Scalar * | angle2, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a smart spherical Offset .
The radius, angle1, and angle2 are the three parameters of spherical coordinates.
radius | radius |
angle1 | Longitude angle in radians |
angle2 | Colatitude angle in radians |
updateOption | update option |
iterator NXOpen::OffsetCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
tag_t NXOpen::OffsetCollection::Tag | ( | ) | const |
Returns the tag of this object.